Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 595827

Summary: page refcount leak in cifs
Product: Red Hat Enterprise Linux 6 Reporter: Jeff Layton <jlayton>
Component: kernelAssignee: Jeff Layton <jlayton>
Status: CLOSED CURRENTRELEASE QA Contact: yanfu,wang <yanwang>
Severity: high Docs Contact:
Priority: high    
Version: 6.0CC: rwheeler, steved, yanwang
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-11 15:53:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jeff Layton 2010-05-25 17:51:18 UTC
One of the patches for bug 591483 introduces a page refcount leak. Machines that have CIFS filesystems under heavy I/O (particularly for reads) are susceptible to OOM kills. I've proposed a patch upstream to fix this which has been acked by Nick Piggin.

Once I confirm that the CIFS maintainer will take in the patch, I'll post it for RHEL6. I think we want this in the next beta if at all possible.

Comment 2 Aristeu Rozanski 2010-06-03 19:58:21 UTC
Patch(es) available on kernel-2.6.32-32.el6

Comment 5 yanfu,wang 2010-08-05 02:40:23 UTC
I run fsstress on cifs filesystem for a few hours and no OOM kills error occurs on.
# uname -a
Linux dell-pem605-01.rhts.eng.bos.redhat.com 2.6.32-54.el6.x86_64 #1 SMP Wed Jul 28 00:06:54 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
# rpm -qa|grep samba
samba-winbind-clients-3.5.4-65.el6.x86_64
samba-common-3.5.4-65.el6.x86_64
samba-client-3.5.4-65.el6.x86_64
# rpm -qa|grep nfs-utils
nfs-utils-1.2.2-5.el6.x86_64
nfs-utils-lib-1.1.5-1.el6.x86_64
# cat /proc/mounts 
//localhost/public/ /cifs cifs rw,mand,relatime,unc=\\localhost\public,username=root,uid=0,noforceuid,gid=0,noforcegid,addr=0000:0000:0000:0000:0000:0000:0000:0001,posixpaths,acl,rsize=16384,wsize=57344 0 0
# nohup ./fsstress -d /cifs  -l 0 -n 1000 -p 4 -r &

Comment 6 releng-rhel@redhat.com 2010-11-11 15:53:37 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.